Bug Hunting Session
Bug 95332 - FILEOPEN: SVG: Shapes inside defs are ignored
Summary: FILEOPEN: SVG: Shapes inside defs are ignored
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:5.1.0 target:5.2.0 target:5.1...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-26 17:50 UTC by Xisco Faulí
Modified: 2016-10-25 19:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (417 bytes, image/svg+xml)
2015-10-26 17:50 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2015-10-26 17:50:19 UTC
Created attachment 119974 [details]
sample

This is a regression introduced by 5e27d23d7e665cc0aeac8fc9ea2236bf8bc088ff.

Steps to reproduce:
1. Open attached file.

Observed behavior: nothing is rendered

Note: I open this ticket for personal tracking as I intent to revert 5e27d23d7e665cc0aeac8fc9ea2236bf8bc088ff and work on another approach for bug 90168
Comment 1 Xisco Faulí 2015-10-26 17:56:27 UTC
i take it
Comment 2 Xisco Faulí 2015-11-02 16:39:07 UTC
Patch summit to gerrit: https://gerrit.libreoffice.org/#/c/19573/
Comment 3 Xisco Faulí 2015-11-02 16:39:50 UTC
Correct URL: https://gerrit.libreoffice.org/#/c/19615/
Comment 4 Commit Notification 2015-11-07 21:32:20 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3056a6b6e39b57c66ebaf5210264b689f02f5fc3

SVG: tdf#95332 defs can contain shapes so fix tdf#65864 in...

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-12-08 09:11:41 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f268e6f1fdd741ebdb5256ed9c72643846472332

SVG: Revert previous commits for tdf#95332 and tdf#95733

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-12-15 17:08:38 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4f6cd2848c60969043aa3d1804e138669a6f14a&h=libreoffice-5-1

SVG: Revert previous commits for tdf#95332 and tdf#95733

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.